Bug 14112

Summary: gnu/lib-names.h content incorrect when shlib-versions moved to sysdeps
Product: glibc Reporter: Joseph Myers <jsm28>
Component: libcAssignee: Not yet assigned to anyone <unassigned>
Status: RESOLVED FIXED    
Severity: normal CC: drepper.fsp
Priority: P2 Flags: fweimer: security-
Version: unspecified   
Target Milestone: 2.16   
Host: Target:
Build: Last reconfirmed:

Description Joseph Myers 2012-05-15 21:16:46 UTC
On x86, the 64-bit part of gnu/lib-names.h now says

# define LD_SO                          "ld.so.1"

(should be "ld-linux-x86-64.so.2") because the relevant information has moved to an x86_64 sysdeps directory, where it can no longer be found when gnu/lib-names.h is built for x86.
Comment 1 H.J. Lu 2012-05-15 22:27:00 UTC
A fix is checked onto hjl/libnames branch at

http://sourceware.org/git/?p=glibc.git;a=summary
Comment 2 H.J. Lu 2012-05-23 23:51:53 UTC
I checked a fix into hjl/abi branch.
Comment 3 H.J. Lu 2012-05-30 15:37:57 UTC
Fixed.